Bug 248410 - Review Request: perl-Params-CallbackRequest - Functional and object-oriented callback architecture
Summary: Review Request: perl-Params-CallbackRequest - Functional and object-oriented ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 248451
TreeView+ depends on / blocked
 
Reported: 2007-07-16 17:58 UTC by Steven Pritchard
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 16:51:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-07-16 17:58:44 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Params-CallbackRequest/perl-Params-CallbackRequest.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Params-CallbackRequest-1.17-1.src.rpm
Description:
Params::CallbackRequest provides functional and object-oriented callbacks
to method and function parameters. Callbacks may be either code references
provided to the new() constructor, or methods defined in subclasses of
Params::Callback. Callbacks are triggered either for every call to the
Params::CallbackRequest request() method, or by specially named keys in the
parameters to request().

Comment 1 Parag AN(पराग) 2007-07-20 04:57:17 UTC
Got following
        all skipped: Testing of apache_req requires Apache::FakeRequest

Can you add Apache::FakeRequest as BR?

Comment 2 Steven Pritchard 2007-07-20 16:41:26 UTC
No, that's a mod_perl 1 module.  There's no Apache2 (mod_perl 2) equivalent.

Comment 3 Parag AN(पराग) 2007-07-24 05:17:37 UTC
you can ask then to fix this issue to upstream.

Comment 4 Steven Pritchard 2007-07-24 14:17:56 UTC
There's nothing to fix.  This module works with both mod_perl 1 and 2.  That 
test is mod_perl 1-specific.

Comment 5 Parag AN(पराग) 2007-07-25 01:51:48 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9db73e6e2f39cd4648ada030013414e7  Params-CallbackRequest-1.17.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/01basic.............ok
t/02priority..........ok
t/03keys..............ok
t/04errors............ok
t/05object............ok
t/06object_request....ok
t/07combined..........ok
t/08apache............skipped
        all skipped: Testing of apache_req requires Apache::FakeRequest
t/09pod...............ok
All tests successful, 1 test skipped.
Files=9, Tests=421,  1 wallclock secs ( 0.76 cusr +  0.10 csys =  0.86 CPU)
+Provides: perl(Params::Callback) = 1.17 perl(Params::CallbackRequest) = 1.17
perl(Params::CallbackRequest::Exceptions) = 1.17
+Requires: perl(:MODULE_COMPAT_5.8.8) perl(Exception::Class)
perl(Exception::Class) >= 1.10 perl(Params::CallbackRequest::Exceptions)
perl(Params::Validate) perl(Params::Validate) >= 0.59 perl(constant)
perl(strict) perl(vars)

APPROVED.


Comment 6 Steven Pritchard 2007-07-25 02:56:34 UTC
New Package CVS Request
=======================
Package Name: perl-Params-CallbackRequest
Short Description: Functional and object-oriented callback architecture
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com


Note You need to log in before you can comment on or make changes to this bug.